org.mariadb.jdbc.internal.util

## Class ClientPrepareStatementCache

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,ClientPrepareResult>
      - - org.mariadb.jdbc.internal.util.ClientPrepareStatementCache

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,ClientPrepareResult>

    public final class ClientPrepareStatementCache
    extends LinkedHashMap<String,ClientPrepareResult>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ClientPrepareStatementCache` `newInstance(int size)`
`protected boolean` `removeEldestEntry(Map.Entry<String,ClientPrepareResult> eldest)`
`String` `toString()`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Method Detail

#### newInstance

    public static ClientPrepareStatementCache newInstance(int size)

#### removeEldestEntry

    protected boolean removeEldestEntry(Map.Entry<String,ClientPrepareResult> eldest)

Overrides:
  `removeEldestEntry` in class `LinkedHashMap<String,ClientPrepareResult>`

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractMap<String,ClientPrepareResult>`